<?php

namespace SabreSoap;

/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'AdvResTicketingType' => '\\SabreSoap\\StructType\\AdvResTicketingType',
            'AdvReservation' => '\\SabreSoap\\StructType\\AdvReservation',
            'AdvTicketing' => '\\SabreSoap\\StructType\\AdvTicketing',
            'CompanyNameType' => '\\SabreSoap\\StructType\\CompanyNameType',
            'EquipmentType' => '\\SabreSoap\\StructType\\EquipmentType',
            'PassengerTypeQuantityType' => '\\SabreSoap\\StructType\\PassengerTypeQuantityType',
            'TPA_Extensions' => '\\SabreSoap\\StructType\\TPA_Extensions',
            'BirthDate' => '\\SabreSoap\\StructType\\BirthDate',
            'Age' => '\\SabreSoap\\StructType\\Age',
            'State' => '\\SabreSoap\\StructType\\State',
            'TotalNumber' => '\\SabreSoap\\StructType\\TotalNumber',
            'VoluntaryChanges' => '\\SabreSoap\\StructType\\VoluntaryChanges',
            'Penalty' => '\\SabreSoap\\StructType\\Penalty',
            'StayRestrictionsType' => '\\SabreSoap\\StructType\\StayRestrictionsType',
            'MinimumStay' => '\\SabreSoap\\StructType\\MinimumStay',
            'MaximumStay' => '\\SabreSoap\\StructType\\MaximumStay',
            'TravelerCountType' => '\\SabreSoap\\StructType\\TravelerCountType',
            'VoluntaryChangesType' => '\\SabreSoap\\StructType\\VoluntaryChangesType',
            'OTA_AirLowFareSearchRQ' => '\\SabreSoap\\StructType\\OTA_AirLowFareSearchRQ',
            'OriginDestinationInformation' => '\\SabreSoap\\StructType\\OriginDestinationInformation',
            'MessagingDetails' => '\\SabreSoap\\StructType\\MessagingDetails',
            'MDRSubset' => '\\SabreSoap\\StructType\\MDRSubset',
            'AlternateAirportCities' => '\\SabreSoap\\StructType\\AlternateAirportCities',
            'SpecifiedLocation' => '\\SabreSoap\\StructType\\SpecifiedLocation',
            'AlternateLocation' => '\\SabreSoap\\StructType\\AlternateLocation',
            'AlternateAirportMileage' => '\\SabreSoap\\StructType\\AlternateAirportMileage',
            'SplitTaxes' => '\\SabreSoap\\StructType\\SplitTaxes',
            'MultiTicket' => '\\SabreSoap\\StructType\\MultiTicket',
            'Partitions' => '\\SabreSoap\\StructType\\Partitions',
            'ReservationData' => '\\SabreSoap\\StructType\\ReservationData',
            'AlternatePCC' => '\\SabreSoap\\StructType\\AlternatePCC',
            'TravelPreferences' => '\\SabreSoap\\StructType\\TravelPreferences',
            'VendorPref' => '\\SabreSoap\\StructType\\VendorPref',
            'AirTravelerType' => '\\SabreSoap\\StructType\\AirTravelerType',
            'ProfileRef' => '\\SabreSoap\\StructType\\ProfileRef',
            'FlightSegmentRPHs' => '\\SabreSoap\\StructType\\FlightSegmentRPHs',
            'BookingClassPrefType' => '\\SabreSoap\\StructType\\BookingClassPrefType',
            'PriceRequestInformationType' => '\\SabreSoap\\StructType\\PriceRequestInformationType',
            'NegotiatedFareCode' => '\\SabreSoap\\StructType\\NegotiatedFareCode',
            'AccountCode' => '\\SabreSoap\\StructType\\AccountCode',
            'PublicFare' => '\\SabreSoap\\StructType\\PublicFare',
            'PrivateFare' => '\\SabreSoap\\StructType\\PrivateFare',
            'Priority' => '\\SabreSoap\\StructType\\Priority',
            'Price' => '\\SabreSoap\\StructType\\Price',
            'DirectFlights' => '\\SabreSoap\\StructType\\DirectFlights',
            'Time' => '\\SabreSoap\\StructType\\Time',
            'Vendor' => '\\SabreSoap\\StructType\\Vendor',
            'Indicators' => '\\SabreSoap\\StructType\\Indicators',
            'RetainFare' => '\\SabreSoap\\StructType\\RetainFare',
            'MinMaxStay' => '\\SabreSoap\\StructType\\MinMaxStay',
            'RefundPenalty' => '\\SabreSoap\\StructType\\RefundPenalty',
            'ResTicketing' => '\\SabreSoap\\StructType\\ResTicketing',
            'TravelPolicy' => '\\SabreSoap\\StructType\\TravelPolicy',
            'CustomerType' => '\\SabreSoap\\StructType\\CustomerType',
            'MultipleTravelerGroups' => '\\SabreSoap\\StructType\\MultipleTravelerGroups',
            'BrandedFareIndicators' => '\\SabreSoap\\StructType\\BrandedFareIndicators',
            'ReturnCheapestUnbrandedFare' => '\\SabreSoap\\StructType\\ReturnCheapestUnbrandedFare',
            'PassengerStatus' => '\\SabreSoap\\StructType\\PassengerStatus',
            'OBFees' => '\\SabreSoap\\StructType\\OBFees',
            'FareBreaksAtLegs' => '\\SabreSoap\\StructType\\FareBreaksAtLegs',
            'TravelerInfoSummaryType' => '\\SabreSoap\\StructType\\TravelerInfoSummaryType',
            'TravelerInformationType' => '\\SabreSoap\\StructType\\TravelerInformationType',
            'TravelerInfoSummary_TPA_ExtensionsType' => '\\SabreSoap\\StructType\\TravelerInfoSummary_TPA_ExtensionsType',
            'TravelerRating' => '\\SabreSoap\\StructType\\TravelerRating',
            'Score' => '\\SabreSoap\\StructType\\Score',
            'TravelerRefNumberType' => '\\SabreSoap\\StructType\\TravelerRefNumberType',
            'AirSearchPrefsType' => '\\SabreSoap\\StructType\\AirSearchPrefsType',
            'FareRestrictPref' => '\\SabreSoap\\StructType\\FareRestrictPref',
            'ExcludeVendorPref' => '\\SabreSoap\\StructType\\ExcludeVendorPref',
            'NumTripsWithRouting' => '\\SabreSoap\\StructType\\NumTripsWithRouting',
            'TripType' => '\\SabreSoap\\StructType\\TripType',
            'MaxPrice' => '\\SabreSoap\\StructType\\MaxPrice',
            'DomesticLayoverTime' => '\\SabreSoap\\StructType\\DomesticLayoverTime',
            'LongConnectTime' => '\\SabreSoap\\StructType\\LongConnectTime',
            'LongConnectPoints' => '\\SabreSoap\\StructType\\LongConnectPoints',
            'AirServiceOnly' => '\\SabreSoap\\StructType\\AirServiceOnly',
            'JetServiceOnly' => '\\SabreSoap\\StructType\\JetServiceOnly',
            'SameConnectionAirportOnly' => '\\SabreSoap\\StructType\\SameConnectionAirportOnly',
            'SameOriginAirportOnly' => '\\SabreSoap\\StructType\\SameOriginAirportOnly',
            'SameTurnaroundAirportOnly' => '\\SabreSoap\\StructType\\SameTurnaroundAirportOnly',
            'AircraftTypePenalty' => '\\SabreSoap\\StructType\\AircraftTypePenalty',
            'AlternateAirportPenalty' => '\\SabreSoap\\StructType\\AlternateAirportPenalty',
            'FareAmountThreshold' => '\\SabreSoap\\StructType\\FareAmountThreshold',
            'numOfLowFareSol' => '\\SabreSoap\\StructType\\NumOfLowFareSol',
            'numOfMustPriceOnlSol' => '\\SabreSoap\\StructType\\NumOfMustPriceOnlSol',
            'numOfMustPriceInrlSol' => '\\SabreSoap\\StructType\\NumOfMustPriceInrlSol',
            'numOfMustPriceNStpOnlSol' => '\\SabreSoap\\StructType\\NumOfMustPriceNStpOnlSol',
            'numOfMustPriceNStpInrlSol' => '\\SabreSoap\\StructType\\NumOfMustPriceNStpInrlSol',
            'numOfMustPriceSStopOnlSol' => '\\SabreSoap\\StructType\\NumOfMustPriceSStopOnlSol',
            'stpPenaltyInUSD' => '\\SabreSoap\\StructType\\StpPenaltyInUSD',
            'durPenaltyInUSD' => '\\SabreSoap\\StructType\\DurPenaltyInUSD',
            'depPenaltyInUSD' => '\\SabreSoap\\StructType\\DepPenaltyInUSD',
            'maxAllowedMustPriceOveragePerCrr' => '\\SabreSoap\\StructType\\MaxAllowedMustPriceOveragePerCrr',
            'fltOptMustPriceReuseLimit' => '\\SabreSoap\\StructType\\FltOptMustPriceReuseLimit',
            'upperBoundMustPriceFactorForNotNonStp' => '\\SabreSoap\\StructType\\UpperBoundMustPriceFactorForNotNonStp',
            'upperBoundLFSFactor' => '\\SabreSoap\\StructType\\UpperBoundLFSFactor',
            'numOfMustPriceNStp1StpOnlSol' => '\\SabreSoap\\StructType\\NumOfMustPriceNStp1StpOnlSol',
            'numOfMustPriceNStp1StpInrlSol' => '\\SabreSoap\\StructType\\NumOfMustPriceNStp1StpInrlSol',
            'upperBoundMustPriceFactorForNonStp' => '\\SabreSoap\\StructType\\UpperBoundMustPriceFactorForNonStp',
            'maxAllowedLFSOveragePerCrrPercent' => '\\SabreSoap\\StructType\\MaxAllowedLFSOveragePerCrrPercent',
            'targetMinNumOfLFSOnlSolPerCrr' => '\\SabreSoap\\StructType\\TargetMinNumOfLFSOnlSolPerCrr',
            'targetMinNumOfLFSTotOnlSolPercent' => '\\SabreSoap\\StructType\\TargetMinNumOfLFSTotOnlSolPercent',
            'fltOptLFSReuseLimitForNonAVS' => '\\SabreSoap\\StructType\\FltOptLFSReuseLimitForNonAVS',
            'fltOptLFSReuseLimitForAVS' => '\\SabreSoap\\StructType\\FltOptLFSReuseLimitForAVS',
            'avsPenaltyCrrs' => '\\SabreSoap\\StructType\\AvsPenaltyCrrs',
            'maxNumOfNonStpOnlSol' => '\\SabreSoap\\StructType\\MaxNumOfNonStpOnlSol',
            'maxNumOfNonStpInrlSol' => '\\SabreSoap\\StructType\\MaxNumOfNonStpInrlSol',
            'maxNumOfSingleStpOnlSol' => '\\SabreSoap\\StructType\\MaxNumOfSingleStpOnlSol',
            'maxNumOf2PlusStpSol' => '\\SabreSoap\\StructType\\MaxNumOf2PlusStpSol',
            'minAllowedOveragePerCrrPercent' => '\\SabreSoap\\StructType\\MinAllowedOveragePerCrrPercent',
            'minAllowedOveragePerCrr' => '\\SabreSoap\\StructType\\MinAllowedOveragePerCrr',
            'maxRelFareLvlOfxForNonStp' => '\\SabreSoap\\StructType\\MaxRelFareLvlOfxForNonStp',
            'maxRelFareLvlOfxForCnx' => '\\SabreSoap\\StructType\\MaxRelFareLvlOfxForCnx',
            'numOfMustPrice2PlusStpSol' => '\\SabreSoap\\StructType\\NumOfMustPrice2PlusStpSol',
            'ItineraryNumberThreshold' => '\\SabreSoap\\StructType\\ItineraryNumberThreshold',
            'TicketingSumOfLocals' => '\\SabreSoap\\StructType\\TicketingSumOfLocals',
            'ExcludeCallDirectCarriers' => '\\SabreSoap\\StructType\\ExcludeCallDirectCarriers',
            'DiversityParameters' => '\\SabreSoap\\StructType\\DiversityParameters',
            'Weightings' => '\\SabreSoap\\StructType\\Weightings',
            'TimeOfDayDistribution' => '\\SabreSoap\\StructType\\TimeOfDayDistribution',
            'TimeOfDayRange' => '\\SabreSoap\\StructType\\TimeOfDayRange',
            'AdditionalFareLimit' => '\\SabreSoap\\StructType\\AdditionalFareLimit',
            'OptionsPerDatePairList' => '\\SabreSoap\\StructType\\OptionsPerDatePairList',
            'AncillaryFees' => '\\SabreSoap\\StructType\\AncillaryFees',
            'AncillaryFeeGroup' => '\\SabreSoap\\StructType\\AncillaryFeeGroup',
            'SpanishFamilyDiscount' => '\\SabreSoap\\StructType\\SpanishFamilyDiscount',
            'CabinPrefType' => '\\SabreSoap\\StructType\\CabinPrefType',
            'EquipmentTypePref' => '\\SabreSoap\\StructType\\EquipmentTypePref',
            'FareRestrictPrefType' => '\\SabreSoap\\StructType\\FareRestrictPrefType',
            'FlightTypePrefType' => '\\SabreSoap\\StructType\\FlightTypePrefType',
            'CompanyNamePrefType' => '\\SabreSoap\\StructType\\CompanyNamePrefType',
            'TicketDistribPrefType' => '\\SabreSoap\\StructType\\TicketDistribPrefType',
            'AddressType' => '\\SabreSoap\\StructType\\AddressType',
            'BookingChannelType' => '\\SabreSoap\\StructType\\BookingChannelType',
            'ConnectionType' => '\\SabreSoap\\StructType\\ConnectionType',
            'ConnectionLocation' => '\\SabreSoap\\StructType\\ConnectionLocation',
            'CountryNameType' => '\\SabreSoap\\StructType\\CountryNameType',
            'CustLoyaltyType' => '\\SabreSoap\\StructType\\CustLoyaltyType',
            'DocumentType' => '\\SabreSoap\\StructType\\DocumentType',
            'EmailType' => '\\SabreSoap\\StructType\\EmailType',
            'RequestLocationType' => '\\SabreSoap\\StructType\\RequestLocationType',
            'OriginDestinationInformationType' => '\\SabreSoap\\StructType\\OriginDestinationInformationType',
            'OriginLocation' => '\\SabreSoap\\StructType\\OriginLocation',
            'DestinationLocation' => '\\SabreSoap\\StructType\\DestinationLocation',
            'POS_Type' => '\\SabreSoap\\StructType\\POS_Type',
            'PersonNameType' => '\\SabreSoap\\StructType\\PersonNameType',
            'PositionType' => '\\SabreSoap\\StructType\\PositionType',
            'SourceType' => '\\SabreSoap\\StructType\\SourceType',
            'StateProvType' => '\\SabreSoap\\StructType\\StateProvType',
            'StreetNmbrType' => '\\SabreSoap\\StructType\\StreetNmbrType',
            'TelephoneType' => '\\SabreSoap\\StructType\\TelephoneType',
            'TravelDateTimeType' => '\\SabreSoap\\StructType\\TravelDateTimeType',
            'DepartureDates' => '\\SabreSoap\\StructType\\DepartureDates',
            'LengthOfStay' => '\\SabreSoap\\StructType\\LengthOfStay',
            'LengthOfStayRange' => '\\SabreSoap\\StructType\\LengthOfStayRange',
            'ArrivalDates' => '\\SabreSoap\\StructType\\ArrivalDates',
            'UniqueID_Type' => '\\SabreSoap\\StructType\\UniqueID_Type',
            'TaxCodeType' => '\\SabreSoap\\StructType\\TaxCodeType',
            'TaxCodeAmountType' => '\\SabreSoap\\StructType\\TaxCodeAmountType',
            'TransactionType' => '\\SabreSoap\\StructType\\TransactionType',
            'RequestType' => '\\SabreSoap\\StructType\\RequestType',
            'ServiceTag' => '\\SabreSoap\\StructType\\ServiceTag',
            'PurchaseType' => '\\SabreSoap\\StructType\\PurchaseType',
            'SabreAth' => '\\SabreSoap\\StructType\\SabreAth',
            'TranID' => '\\SabreSoap\\StructType\\TranID',
            'ClientSessionID' => '\\SabreSoap\\StructType\\ClientSessionID',
            'Branch' => '\\SabreSoap\\StructType\\Branch',
            'CompressResponse' => '\\SabreSoap\\StructType\\CompressResponse',
            'FareOverrides' => '\\SabreSoap\\StructType\\FareOverrides',
            'FareOverride' => '\\SabreSoap\\StructType\\FareOverride',
            'SubagentData' => '\\SabreSoap\\StructType\\SubagentData',
            'ResponseSorting' => '\\SabreSoap\\StructType\\ResponseSorting',
            'DiversityControlType' => '\\SabreSoap\\StructType\\DiversityControlType',
            'LowFareBucket' => '\\SabreSoap\\StructType\\LowFareBucket',
            'Dimensions' => '\\SabreSoap\\StructType\\Dimensions',
            'TravelTime' => '\\SabreSoap\\StructType\\TravelTime',
            'Carrier' => '\\SabreSoap\\StructType\\Carrier',
            'Default' => '\\SabreSoap\\StructType\\_Default',
            'Override' => '\\SabreSoap\\StructType\\Override',
            'OperatingDuplicate' => '\\SabreSoap\\StructType\\OperatingDuplicate',
            'PreferredCarrier' => '\\SabreSoap\\StructType\\PreferredCarrier',
            'InboundOutboundPairing' => '\\SabreSoap\\StructType\\InboundOutboundPairing',
            'TimeOfDay' => '\\SabreSoap\\StructType\\TimeOfDay',
            'Distribution' => '\\SabreSoap\\StructType\\Distribution',
            'Range' => '\\SabreSoap\\StructType\\Range',
            'StopsNumber' => '\\SabreSoap\\StructType\\StopsNumber',
            'AwardShoppingType' => '\\SabreSoap\\StructType\\AwardShoppingType',
            'PointOfSaleOverrideType' => '\\SabreSoap\\StructType\\PointOfSaleOverrideType',
            'PointOfTicketingOverrideType' => '\\SabreSoap\\StructType\\PointOfTicketingOverrideType',
            'ApplyResidentDiscountType' => '\\SabreSoap\\StructType\\ApplyResidentDiscountType',
            'RoutingDefinitionType' => '\\SabreSoap\\StructType\\RoutingDefinitionType',
            'RoutingLegType' => '\\SabreSoap\\StructType\\RoutingLegType',
            'Day' => '\\SabreSoap\\StructType\\Day',
            'DaysRange' => '\\SabreSoap\\StructType\\DaysRange',
            'SourceBookingChannelType' => '\\SabreSoap\\StructType\\SourceBookingChannelType',
            'AirlineType' => '\\SabreSoap\\StructType\\AirlineType',
            'ReservationType' => '\\SabreSoap\\StructType\\ReservationType',
            'SideTripType' => '\\SabreSoap\\StructType\\SideTripType',
            'MileageDisplayType' => '\\SabreSoap\\StructType\\MileageDisplayType',
            'IncludeVendorPrefType' => '\\SabreSoap\\StructType\\IncludeVendorPrefType',
            'AllianceType' => '\\SabreSoap\\StructType\\AllianceType',
            'DepartureDaysType' => '\\SabreSoap\\StructType\\DepartureDaysType',
            'OriginDestinationFlightType' => '\\SabreSoap\\StructType\\OriginDestinationFlightType',
            'DateFlexibility' => '\\SabreSoap\\StructType\\DateFlexibility',
            'SisterDestinationMileage' => '\\SabreSoap\\StructType\\SisterDestinationMileage',
            'SisterOriginMileage' => '\\SabreSoap\\StructType\\SisterOriginMileage',
            'SegmentType' => '\\SabreSoap\\StructType\\SegmentType',
            'AlternateTime' => '\\SabreSoap\\StructType\\AlternateTime',
            'MaxOneWayOptions' => '\\SabreSoap\\StructType\\MaxOneWayOptions',
            'NumOneWayOptions' => '\\SabreSoap\\StructType\\NumOneWayOptions',
            'ConnectionTime' => '\\SabreSoap\\StructType\\ConnectionTime',
            'TotalTravelTime' => '\\SabreSoap\\StructType\\TotalTravelTime',
            'NumTripsType' => '\\SabreSoap\\StructType\\NumTripsType',
            'AltCitiesCombinationsType' => '\\SabreSoap\\StructType\\AltCitiesCombinationsType',
            'XOFaresType' => '\\SabreSoap\\StructType\\XOFaresType',
            'FlightStopsAsConnectionsType' => '\\SabreSoap\\StructType\\FlightStopsAsConnectionsType',
            'JumpCabinLogicType' => '\\SabreSoap\\StructType\\JumpCabinLogicType',
            'GoverningCarrierOverrideType' => '\\SabreSoap\\StructType\\GoverningCarrierOverrideType',
            'ValidatingCarrierType' => '\\SabreSoap\\StructType\\ValidatingCarrierType',
            'OptionsPerDatePairType' => '\\SabreSoap\\StructType\\OptionsPerDatePairType',
            'OnlineIndicator' => '\\SabreSoap\\StructType\\OnlineIndicator',
            'InterlineIndicator' => '\\SabreSoap\\StructType\\InterlineIndicator',
            'ExemptAllTaxes' => '\\SabreSoap\\StructType\\ExemptAllTaxes',
            'ExemptAllTaxesAndFees' => '\\SabreSoap\\StructType\\ExemptAllTaxesAndFees',
            'Taxes' => '\\SabreSoap\\StructType\\Taxes',
            'BillingInformationType' => '\\SabreSoap\\StructType\\BillingInformationType',
            'ExchangeSettingsType' => '\\SabreSoap\\StructType\\ExchangeSettingsType',
            'ExchangeFareType' => '\\SabreSoap\\StructType\\ExchangeFareType',
            'ExchangeSourceType' => '\\SabreSoap\\StructType\\ExchangeSourceType',
            'ExchangePOSType' => '\\SabreSoap\\StructType\\ExchangePOSType',
            'ArunkType' => '\\SabreSoap\\StructType\\ArunkType',
            'FareDetailsType' => '\\SabreSoap\\StructType\\FareDetailsType',
            'FareOptionalDetailsType' => '\\SabreSoap\\StructType\\FareOptionalDetailsType',
            'PlusUpType' => '\\SabreSoap\\StructType\\PlusUpType',
            'ExchangeOriginDestinationFlightType' => '\\SabreSoap\\StructType\\ExchangeOriginDestinationFlightType',
            'ExchangeOriginDestinationInformationType' => '\\SabreSoap\\StructType\\ExchangeOriginDestinationInformationType',
            'ExchangeTravelPreferencesTPA_ExtensionsType' => '\\SabreSoap\\StructType\\ExchangeTravelPreferencesTPA_ExtensionsType',
            'ExchangeAirSearchPrefsType' => '\\SabreSoap\\StructType\\ExchangeAirSearchPrefsType',
            'ExchangeTPA_ExtensionsType' => '\\SabreSoap\\StructType\\ExchangeTPA_ExtensionsType',
            'ExchangeType' => '\\SabreSoap\\StructType\\ExchangeType',
            'FlexibleFaresType' => '\\SabreSoap\\StructType\\FlexibleFaresType',
            'FareParameters' => '\\SabreSoap\\StructType\\FareParameters',
            'ExcludeRestricted' => '\\SabreSoap\\StructType\\ExcludeRestricted',
            'Cabin' => '\\SabreSoap\\StructType\\Cabin',
            'PassengerType' => '\\SabreSoap\\StructType\\PassengerType',
            'CorporateID' => '\\SabreSoap\\StructType\\CorporateID',
            'CachePartitionType' => '\\SabreSoap\\StructType\\CachePartitionType',
            'CachePartitionGroupType' => '\\SabreSoap\\StructType\\CachePartitionGroupType',
            'OTA_AirLowFareSearchRS' => '\\SabreSoap\\StructType\\OTA_AirLowFareSearchRS',
            'PricedItineraries' => '\\SabreSoap\\StructType\\PricedItineraries',
            'OneWayItineraries' => '\\SabreSoap\\StructType\\OneWayItineraries',
            'BrandedOneWayItineraries' => '\\SabreSoap\\StructType\\BrandedOneWayItineraries',
            'SimpleOneWayItineraries' => '\\SabreSoap\\StructType\\SimpleOneWayItineraries',
            'DepartedItineraries' => '\\SabreSoap\\StructType\\DepartedItineraries',
            'SoldOutItineraries' => '\\SabreSoap\\StructType\\SoldOutItineraries',
            'AvailableItineraries' => '\\SabreSoap\\StructType\\AvailableItineraries',
            'AirlineOrderList' => '\\SabreSoap\\StructType\\AirlineOrderList',
            'AirlineOrder' => '\\SabreSoap\\StructType\\AirlineOrder',
            'AirFeeType' => '\\SabreSoap\\StructType\\AirFeeType',
            'OBFeeType' => '\\SabreSoap\\StructType\\OBFeeType',
            'OCFeeType' => '\\SabreSoap\\StructType\\OCFeeType',
            'ReissueInfoType' => '\\SabreSoap\\StructType\\ReissueInfoType',
            'ChangeFees' => '\\SabreSoap\\StructType\\ChangeFees',
            'ChangeFee' => '\\SabreSoap\\StructType\\ChangeFee',
            'ItinTotalFareType' => '\\SabreSoap\\StructType\\ItinTotalFareType',
            'Extras' => '\\SabreSoap\\StructType\\Extras',
            'TotalWithExtras' => '\\SabreSoap\\StructType\\TotalWithExtras',
            'TotalMileage' => '\\SabreSoap\\StructType\\TotalMileage',
            'ServiceFee' => '\\SabreSoap\\StructType\\ServiceFee',
            'TicketsPricingType' => '\\SabreSoap\\StructType\\TicketsPricingType',
            'TicketPricingType' => '\\SabreSoap\\StructType\\TicketPricingType',
            'OriginDestinationOptions' => '\\SabreSoap\\StructType\\OriginDestinationOptions',
            'OriginDestinationOption' => '\\SabreSoap\\StructType\\OriginDestinationOption',
            'FlightSegment' => '\\SabreSoap\\StructType\\FlightSegment',
            'ValidatingCarrier' => '\\SabreSoap\\StructType\\ValidatingCarrier',
            'AirItineraryPricingInfoType' => '\\SabreSoap\\StructType\\AirItineraryPricingInfoType',
            'PTC_FareBreakdowns' => '\\SabreSoap\\StructType\\PTC_FareBreakdowns',
            'FareInfos' => '\\SabreSoap\\StructType\\FareInfos',
            'FareInfo' => '\\SabreSoap\\StructType\\FareInfo',
            'SeatsRemaining' => '\\SabreSoap\\StructType\\SeatsRemaining',
            'FareNote' => '\\SabreSoap\\StructType\\FareNote',
            'Meal' => '\\SabreSoap\\StructType\\Meal',
            'Rule' => '\\SabreSoap\\StructType\\Rule',
            'DivideInParty' => '\\SabreSoap\\StructType\\DivideInParty',
            'PromoOffer' => '\\SabreSoap\\StructType\\PromoOffer',
            'PromoRedemption' => '\\SabreSoap\\StructType\\PromoRedemption',
            'AncillaryFeeGroups' => '\\SabreSoap\\StructType\\AncillaryFeeGroups',
            'AncillaryFeeItem' => '\\SabreSoap\\StructType\\AncillaryFeeItem',
            'Legs' => '\\SabreSoap\\StructType\\Legs',
            'Leg' => '\\SabreSoap\\StructType\\Leg',
            'Segment' => '\\SabreSoap\\StructType\\Segment',
            'ProcessingMessageType' => '\\SabreSoap\\StructType\\ProcessingMessageType',
            'OneWayProcessingMessageType' => '\\SabreSoap\\StructType\\OneWayProcessingMessageType',
            'ComplexProcessingMessageType' => '\\SabreSoap\\StructType\\ComplexProcessingMessageType',
            'AirItineraryType' => '\\SabreSoap\\StructType\\AirItineraryType',
            'AirTaxType' => '\\SabreSoap\\StructType\\AirTaxType',
            'BookFlightSegmentType' => '\\SabreSoap\\StructType\\BookFlightSegmentType',
            'StopAirports' => '\\SabreSoap\\StructType\\StopAirports',
            'StopAirport' => '\\SabreSoap\\StructType\\StopAirport',
            'DepartureTimeZone' => '\\SabreSoap\\StructType\\DepartureTimeZone',
            'ArrivalTimeZone' => '\\SabreSoap\\StructType\\ArrivalTimeZone',
            'OnTimePerformance' => '\\SabreSoap\\StructType\\OnTimePerformance',
            'eTicket' => '\\SabreSoap\\StructType\\ETicket',
            'DataElement' => '\\SabreSoap\\StructType\\DataElement',
            'Message' => '\\SabreSoap\\StructType\\Message',
            'FareInfoType' => '\\SabreSoap\\StructType\\FareInfoType',
            'FareType' => '\\SabreSoap\\StructType\\FareType',
            'FareComponentsTaxes' => '\\SabreSoap\\StructType\\FareComponentsTaxes',
            'LegsTaxes' => '\\SabreSoap\\StructType\\LegsTaxes',
            'LegTaxes' => '\\SabreSoap\\StructType\\LegTaxes',
            'Fees' => '\\SabreSoap\\StructType\\Fees',
            'ReissueInfoList' => '\\SabreSoap\\StructType\\ReissueInfoList',
            'PenaltiesInfo' => '\\SabreSoap\\StructType\\PenaltiesInfo',
            'FareComponents' => '\\SabreSoap\\StructType\\FareComponents',
            'FareComponent' => '\\SabreSoap\\StructType\\FareComponent',
            'ValidatingCarrierInfoType' => '\\SabreSoap\\StructType\\ValidatingCarrierInfoType',
            'FareMessagesType' => '\\SabreSoap\\StructType\\FareMessagesType',
            'RateOfExchangeType' => '\\SabreSoap\\StructType\\RateOfExchangeType',
            'CurrencyConversionsType' => '\\SabreSoap\\StructType\\CurrencyConversionsType',
            'Conversion' => '\\SabreSoap\\StructType\\Conversion',
            'OriginDestinationOptionType' => '\\SabreSoap\\StructType\\OriginDestinationOptionType',
            'PTCFareBreakdownType' => '\\SabreSoap\\StructType\\PTCFareBreakdownType',
            'FareBasisCodes' => '\\SabreSoap\\StructType\\FareBasisCodes',
            'FareBasisCode' => '\\SabreSoap\\StructType\\FareBasisCode',
            'Endorsements' => '\\SabreSoap\\StructType\\Endorsements',
            'Endorsement' => '\\SabreSoap\\StructType\\Endorsement',
            'PricedItinerariesType' => '\\SabreSoap\\StructType\\PricedItinerariesType',
            'PricedItineraryType' => '\\SabreSoap\\StructType\\PricedItineraryType',
            'AirItineraryPricingInfo' => '\\SabreSoap\\StructType\\AirItineraryPricingInfo',
            'AdditionalFares' => '\\SabreSoap\\StructType\\AdditionalFares',
            'Ops' => '\\SabreSoap\\StructType\\Ops',
            'FareTypes' => '\\SabreSoap\\StructType\\FareTypes',
            'ItinSource' => '\\SabreSoap\\StructType\\ItinSource',
            'ValueBucket' => '\\SabreSoap\\StructType\\ValueBucket',
            'DiversitySwapper' => '\\SabreSoap\\StructType\\DiversitySwapper',
            'RuleInfoType' => '\\SabreSoap\\StructType\\RuleInfoType',
            'ResTicketingRules' => '\\SabreSoap\\StructType\\ResTicketingRules',
            'TicketingInfoRS_Type' => '\\SabreSoap\\StructType\\TicketingInfoRS_Type',
            'CurrencyAmountType' => '\\SabreSoap\\StructType\\CurrencyAmountType',
            'ErrorType' => '\\SabreSoap\\StructType\\ErrorType',
            'ErrorsType' => '\\SabreSoap\\StructType\\ErrorsType',
            'FreeTextType' => '\\SabreSoap\\StructType\\FreeTextType',
            'ResponseLocationType' => '\\SabreSoap\\StructType\\ResponseLocationType',
            'AirportInformationType' => '\\SabreSoap\\StructType\\AirportInformationType',
            'OperatingAirlineType' => '\\SabreSoap\\StructType\\OperatingAirlineType',
            'SuccessType' => '\\SabreSoap\\StructType\\SuccessType',
            'WarningType' => '\\SabreSoap\\StructType\\WarningType',
            'WarningsType' => '\\SabreSoap\\StructType\\WarningsType',
            'FareCalcLineType' => '\\SabreSoap\\StructType\\FareCalcLineType',
            'FareGroupType' => '\\SabreSoap\\StructType\\FareGroupType',
            'CouponOfferType' => '\\SabreSoap\\StructType\\CouponOfferType',
            'AlternateLocationLowestFaresType' => '\\SabreSoap\\StructType\\AlternateLocationLowestFaresType',
            'AlternateDateLowestFaresType' => '\\SabreSoap\\StructType\\AlternateDateLowestFaresType',
            'AirlineLowestFaresType' => '\\SabreSoap\\StructType\\AirlineLowestFaresType',
            'SurchargesType' => '\\SabreSoap\\StructType\\SurchargesType',
            'SummaryPriceInformation' => '\\SabreSoap\\StructType\\SummaryPriceInformation',
            'FareComponentTaxesType' => '\\SabreSoap\\StructType\\FareComponentTaxesType',
            'UnflownPriceType' => '\\SabreSoap\\StructType\\UnflownPriceType',
            'BaggageInformationListType' => '\\SabreSoap\\StructType\\BaggageInformationListType',
            'BaggageInformationType' => '\\SabreSoap\\StructType\\BaggageInformationType',
            'Allowance' => '\\SabreSoap\\StructType\\Allowance',
            'SignatureType' => '\\SabreSoap\\StructType\\SignatureType',
            'SignatureValueType' => '\\SabreSoap\\StructType\\SignatureValueType',
            'SignedInfoType' => '\\SabreSoap\\StructType\\SignedInfoType',
            'CanonicalizationMethodType' => '\\SabreSoap\\StructType\\CanonicalizationMethodType',
            'SignatureMethodType' => '\\SabreSoap\\StructType\\SignatureMethodType',
            'ReferenceType' => '\\SabreSoap\\StructType\\ReferenceType',
            'TransformsType' => '\\SabreSoap\\StructType\\TransformsType',
            'TransformType' => '\\SabreSoap\\StructType\\TransformType',
            'DigestMethodType' => '\\SabreSoap\\StructType\\DigestMethodType',
            'KeyInfoType' => '\\SabreSoap\\StructType\\KeyInfoType',
            'KeyValueType' => '\\SabreSoap\\StructType\\KeyValueType',
            'RetrievalMethodType' => '\\SabreSoap\\StructType\\RetrievalMethodType',
            'X509DataType' => '\\SabreSoap\\StructType\\X509DataType',
            'X509IssuerSerialType' => '\\SabreSoap\\StructType\\X509IssuerSerialType',
            'PGPDataType' => '\\SabreSoap\\StructType\\PGPDataType',
            'SPKIDataType' => '\\SabreSoap\\StructType\\SPKIDataType',
            'ObjectType' => '\\SabreSoap\\StructType\\ObjectType',
            'ManifestType' => '\\SabreSoap\\StructType\\ManifestType',
            'SignaturePropertiesType' => '\\SabreSoap\\StructType\\SignaturePropertiesType',
            'SignaturePropertyType' => '\\SabreSoap\\StructType\\SignaturePropertyType',
            'DSAKeyValueType' => '\\SabreSoap\\StructType\\DSAKeyValueType',
            'RSAKeyValueType' => '\\SabreSoap\\StructType\\RSAKeyValueType',
            'Envelope' => '\\SabreSoap\\StructType\\Envelope',
            'Header' => '\\SabreSoap\\StructType\\Header',
            'Body' => '\\SabreSoap\\StructType\\Body',
            'Fault' => '\\SabreSoap\\StructType\\Fault',
            'detail' => '\\SabreSoap\\StructType\\Detail',
            'Manifest' => '\\SabreSoap\\StructType\\Manifest',
            'Reference' => '\\SabreSoap\\StructType\\Reference',
            'Schema' => '\\SabreSoap\\StructType\\Schema',
            'MessageHeader' => '\\SabreSoap\\StructType\\MessageHeader',
            'Service' => '\\SabreSoap\\StructType\\Service',
            'MessageData' => '\\SabreSoap\\StructType\\MessageData',
            'SyncReply' => '\\SabreSoap\\StructType\\SyncReply',
            'MessageOrder' => '\\SabreSoap\\StructType\\MessageOrder',
            'AckRequested' => '\\SabreSoap\\StructType\\AckRequested',
            'Acknowledgment' => '\\SabreSoap\\StructType\\Acknowledgment',
            'ErrorList' => '\\SabreSoap\\StructType\\ErrorList',
            'Error' => '\\SabreSoap\\StructType\\Error',
            'StatusResponse' => '\\SabreSoap\\StructType\\StatusResponse',
            'StatusRequest' => '\\SabreSoap\\StructType\\StatusRequest',
            'sequenceNumber.type' => '\\SabreSoap\\StructType\\SequenceNumber_type',
            'PartyId' => '\\SabreSoap\\StructType\\PartyId',
            'To' => '\\SabreSoap\\StructType\\To',
            'From' => '\\SabreSoap\\StructType\\From',
            'Description' => '\\SabreSoap\\StructType\\Description',
            'Security' => '\\SabreSoap\\StructType\\Security',
            'UsernameToken' => '\\SabreSoap\\StructType\\UsernameToken',
        );
    }
}
