<?php

namespace SabreSoap\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AlternateTime StructType
 * Meta information extracted from the WSDL
 * - documentation: Maximum time difference/deviation allowed.
 * - minOccurs: 0
 * @subpackage Structs
 */
class AlternateTime extends AbstractStructBase
{
    /**
     * The PlusMinus
     * Meta information extracted from the WSDL
     * - documentation: Maximum time difference between actual and desired time. | Used for Numeric values, from 0 to 9 inclusive
     * - base: xs:integer
     * - maxInclusive: 9
     * - minInclusive: 0
     * - use: optional
     * @var int
     */
    public $PlusMinus;
    /**
     * The Minus
     * Meta information extracted from the WSDL
     * - documentation: Maximum number of hours before desired time. | Used for Numeric values, from 0 to 72 inclusive
     * - base: xs:integer
     * - maxInclusive: 72
     * - minInclusive: 0
     * - use: optional
     * @var int
     */
    public $Minus;
    /**
     * Constructor method for AlternateTime
     * @uses AlternateTime::setPlusMinus()
     * @uses AlternateTime::setMinus()
     * @param int $plusMinus
     * @param int $minus
     */
    public function __construct($plusMinus = null, $minus = null)
    {
        $this
            ->setPlusMinus($plusMinus)
            ->setMinus($minus);
    }
    /**
     * Get PlusMinus value
     * @return int|null
     */
    public function getPlusMinus()
    {
        return $this->PlusMinus;
    }
    /**
     * Set PlusMinus value
     * @param int $plusMinus
     * @return \SabreSoap\StructType\AlternateTime
     */
    public function setPlusMinus($plusMinus = null)
    {
        $this->PlusMinus = $plusMinus;
        return $this;
    }
    /**
     * Get Minus value
     * @return int|null
     */
    public function getMinus()
    {
        return $this->Minus;
    }
    /**
     * Set Minus value
     * @param int $minus
     * @return \SabreSoap\StructType\AlternateTime
     */
    public function setMinus($minus = null)
    {
        $this->Minus = $minus;
        return $this;
    }
}
