<?php

namespace SabreSoap\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for KeyValueType StructType
 * Meta information extracted from the WSDL
 * - mixed: true
 * @subpackage Structs
 */
class KeyValueType extends AbstractStructBase
{
    /**
     * The DSAKeyValue
     * Meta information extracted from the WSDL
     * - choice: DSAKeyValue | RSAKeyValue |
     * - choiceMaxOccurs: 1
     * - choiceMinOccurs: 1
     * - ref: ds:DSAKeyValue
     * @var \SabreSoap\StructType\DSAKeyValueType
     */
    public $DSAKeyValue;
    /**
     * The RSAKeyValue
     * Meta information extracted from the WSDL
     * - choice: DSAKeyValue | RSAKeyValue |
     * - choiceMaxOccurs: 1
     * - choiceMinOccurs: 1
     * - ref: ds:RSAKeyValue
     * @var \SabreSoap\StructType\RSAKeyValueType
     */
    public $RSAKeyValue;
    /**
     * The any
     * @var \DOMDocument
     */
    public $any;
    /**
     * Constructor method for KeyValueType
     * @uses KeyValueType::setDSAKeyValue()
     * @uses KeyValueType::setRSAKeyValue()
     * @uses KeyValueType::setAny()
     * @param \SabreSoap\StructType\DSAKeyValueType $dSAKeyValue
     * @param \SabreSoap\StructType\RSAKeyValueType $rSAKeyValue
     * @param \DOMDocument $any
     */
    public function __construct(\SabreSoap\StructType\DSAKeyValueType $dSAKeyValue = null, \SabreSoap\StructType\RSAKeyValueType $rSAKeyValue = null, \DOMDocument $any = null)
    {
        $this
            ->setDSAKeyValue($dSAKeyValue)
            ->setRSAKeyValue($rSAKeyValue)
            ->setAny($any);
    }
    /**
     * Get DSAKeyValue value
     * @return \SabreSoap\StructType\DSAKeyValueType|null
     */
    public function getDSAKeyValue()
    {
        return isset($this->DSAKeyValue) ? $this->DSAKeyValue : null;
    }
    /**
     * Set DSAKeyValue value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @param \SabreSoap\StructType\DSAKeyValueType $dSAKeyValue
     * @return \SabreSoap\StructType\KeyValueType
     */
    public function setDSAKeyValue(\SabreSoap\StructType\DSAKeyValueType $dSAKeyValue = null)
    {
        if (is_null($dSAKeyValue) || (is_array($dSAKeyValue) && empty($dSAKeyValue))) {
            unset($this->DSAKeyValue);
        } else {
            $this->DSAKeyValue = $dSAKeyValue;
        }
        return $this;
    }
    /**
     * Get RSAKeyValue value
     * @return \SabreSoap\StructType\RSAKeyValueType|null
     */
    public function getRSAKeyValue()
    {
        return isset($this->RSAKeyValue) ? $this->RSAKeyValue : null;
    }
    /**
     * Set RSAKeyValue value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @param \SabreSoap\StructType\RSAKeyValueType $rSAKeyValue
     * @return \SabreSoap\StructType\KeyValueType
     */
    public function setRSAKeyValue(\SabreSoap\StructType\RSAKeyValueType $rSAKeyValue = null)
    {
        if (is_null($rSAKeyValue) || (is_array($rSAKeyValue) && empty($rSAKeyValue))) {
            unset($this->RSAKeyValue);
        } else {
            $this->RSAKeyValue = $rSAKeyValue;
        }
        return $this;
    }
    /**
     * Get any value
     * @uses \DOMDocument::loadXML()
     * @param bool $asString true: returns XML string, false: returns \DOMDocument
     * @return \DOMDocument|null
     */
    public function getAny($asString = true)
    {
        $domDocument = null;
        if (!empty($this->any) && !$asString) {
            $domDocument = new \DOMDocument('1.0', 'UTF-8');
            $domDocument->loadXML($this->any);
        }
        return $asString ? $this->any : $domDocument;
    }
    /**
     * Set any value
     * @uses \DOMDocument::hasChildNodes()
     * @uses \DOMDocument::saveXML()
     * @uses \DOMNode::item()
     * @param \DOMDocument $any
     * @return \SabreSoap\StructType\KeyValueType
     */
    public function setAny(\DOMDocument $any = null)
    {
        $this->any = ($any instanceof \DOMDocument) && $any->hasChildNodes() ? $any->saveXML($any->childNodes->item(0)) : $any;
        return $this;
    }
}
